qterm(8B)

NAME
qterm - terminate one or both PBS servers, and optionally terminate scheduler(s) and/or MoMs

SYNOPSIS
qterm [-f | -F | -i] [-m] [-s] [-t <type>] [<server>[ <server> ...]]
qterm --version

DESCRIPTION
The qterm command terminates a PBS batch server. Once the server is terminating, no new jobs are accepted by the server, and no jobs are allowed to begin execution. The impact on running jobs depends on the way the server is shut down. The qterm command does not exit until the server has completed its shutdown procedure. If the complex is configured for failover, and the primary server is shut down, the normal behavior for the secondary server is to become active. The qterm command provides options to manage the behavior of the secondary server; it can be shut down, forced to remain idle, or shut down in place of the primary server. Required Privilege
In order to run the qterm command, you must have PBS Operator or Manager privilege.

OPTIONS

(no options)
    The qterm command defaults to qterm -t quick.

-f  If the complex is configured for failover, shuts down both the primary and secondary servers.
    Without the -f option, qterm shuts down the the primary server and makes the secondary server active.
    The -f option cannot be used with the -i or -F options.

-F  If the complex is configured for failover, shuts down only the secondary server, leaving the primary server active.
    The -F option cannot be used with the -f or -i options.

-i  If the complex is configured for failover, leaves the secondary server idle when the primary server is shut down.
    The -i option cannot be used with the -f or -F options.

-m  Shuts down the primary server and all MoMs (pbs_mom). This option does not cause jobs or subjobs to be killed. Jobs are left running subject to other options to the qterm command.

-s  Shuts down the primary server and the scheduler (pbs_sched).

-t <type>
    The type specifies how the server is shut down. The types are the following:

    immediate
        Shuts down the primary server. Immediately stops all running jobs. Any running jobs that can be checkpointed are checkpointed, terminated, and requeued. Jobs that cannot be checkpointed are terminated and requeued if they are rerunnable, otherwise they are killed. If any job cannot be terminated, for example the server cannot contact the MoM of a running job, the server continues to execute and the job is listed as running. The server can be terminated by a second qterm -t immediate command. While terminating, the server is in the Terminating state.

    delay
        Shuts down the primary server. The server waits to terminate until all non-checkpointable, non-rerunnable jobs are finished executing. Any running jobs that can be checkpointed are checkpointed, terminated, and requeued. Jobs that cannot be checkpointed are terminated and requeued if they are rerunnable, otherwise they are allowed to continue to run. While terminating, the server is in the Terminating-Delayed state.

    quick
        Shuts down the primary server. Running jobs and subjobs are left running. This is the default behavior when no options are given to the qterm command. While terminating, the server is in the Terminating state.

--version
    The qterm command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
You optionally specify the list of servers to shut down using [<server>[ <server> ...]. If you do not specify any servers, the qterm command shuts down the default server.

STANDARD ERROR
The qterm command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all operands presented to the qterm command.

Greater than zero
    If the qterm command fails to process any operand

SEE ALSO
The PBS Professional Administrator's Guide, pbs_server(8B), pbs_mom(8B), pbs_sched(8B)